Page MenuHomePhabricator

1.34.0-wmf.24 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.34.0-wmf.24
Release Date
1569196800

2019 week 39 1.34-wmf.24 Changes wmf/1.34.0-wmf.24

This MediaWiki Train Deployment is scheduled for the week of Monday, September 23rd:

Monday September 23rdTuesday, September 24thWednesday, September 25thThursday, September 26thFriday
SWAT deployments only.Branch wmf.24 and deploy to Group 0 Wikis.Deploy wmf.24 to Group 1 Wikis.Deploy wmf.24 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.24 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.34.0-wmf.23
Next: 1.34.0-wmf.25

Event Timeline

mmodell created this task.Apr 11 2019, 6:15 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 11 2019, 6:15 PM
mmodell triaged this task as Normal priority.Apr 11 2019, 7:10 PM

Mentioned in SAL (#wikimedia-operations) [2019-09-24T19:20:56Z] <twentyafterfour> branching 1.34.0-wmf.24 refs T220749

Change 538975 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] testwikis wikis to 1.34.0-wmf.24 refs T220749

https://gerrit.wikimedia.org/r/538975

Change 538975 merged by jenkins-bot:
[operations/mediawiki-config@master] testwikis wikis to 1.34.0-wmf.24 refs T220749

https://gerrit.wikimedia.org/r/538975

Mentioned in SAL (#wikimedia-operations) [2019-09-24T21:45:20Z] <twentyafterfour@deploy1001> Started scap: testwikis wikis to 1.34.0-wmf.24 refs T220749

Mentioned in SAL (#wikimedia-operations) [2019-09-24T22:25:59Z] <twentyafterfour@deploy1001> Finished scap: testwikis wikis to 1.34.0-wmf.24 refs T220749 (duration: 40m 38s)

mmodell added a comment.EditedSep 25 2019, 2:56 AM

Between gerrit freezing up and several tasks unrelated to the train it would seem that I forgot to deploy to group0 - 1.34.0-wmf.24 is still only on test wikis. I'll rectify that situation now.

Mentioned in SAL (#wikimedia-operations) [2019-09-25T02:58:14Z] <twentyafterfour> belatedly promoting wmf.24 to group0 refs T220749

Change 539012 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group0 wikis to 1.34.0-wmf.24 refs T220749

https://gerrit.wikimedia.org/r/539012

Change 539012 merged by jenkins-bot:
[operations/mediawiki-config@master] group0 wikis to 1.34.0-wmf.24 refs T220749

https://gerrit.wikimedia.org/r/539012

Mentioned in SAL (#wikimedia-operations) [2019-09-25T03:28:16Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: group0 wikis to 1.34.0-wmf.24 refs T220749

Change 539189 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group1 wikis to 1.34.0-wmf.24 refs T220749

https://gerrit.wikimedia.org/r/539189

Change 539189 merged by jenkins-bot:
[operations/mediawiki-config@master] group1 wikis to 1.34.0-wmf.24 refs T220749

https://gerrit.wikimedia.org/r/539189

Mentioned in SAL (#wikimedia-operations) [2019-09-25T19:27:25Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: group1 wikis to 1.34.0-wmf.24 refs T220749

Mentioned in SAL (#wikimedia-operations) [2019-09-25T19:28:29Z] <twentyafterfour@deploy1001> Synchronized php: group1 wikis to 1.34.0-wmf.24 refs T220749 (duration: 01m 03s)

Mentioned in SAL (#wikimedia-operations) [2019-09-26T19:13:03Z] <twentyafterfour> preparing to deploy the mediawiki train for 1.34.0-wmf.24. refs T220749

Change 539400 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] all wikis to 1.34.0-wmf.24 refs T220749

https://gerrit.wikimedia.org/r/539400

Change 539400 merged by jenkins-bot:
[operations/mediawiki-config@master] all wikis to 1.34.0-wmf.24 refs T220749

https://gerrit.wikimedia.org/r/539400

Mentioned in SAL (#wikimedia-operations) [2019-09-26T19:23:32Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: all wikis to 1.34.0-wmf.24 refs T220749

mmodell closed this task as Resolved.Sep 27 2019, 2:47 AM